## edu.msu.cme.rdp.classifier.rrnaclassifier
Class GenusWordConditionalProb

    java.lang.Object
      edu.msu.cme.rdp.classifier.rrnaclassifier.GenusWordConditionalProb

     class GenusWordConditionalProb

extends java.lang.Object

A GenusWordConditionalProb holds the index of the genus node, and the conditional probability that genus node contains the word.

Field Summary
`private int` `genusIndex`
`private float` `wordConditionalProb`

Constructor Summary
`GenusWordConditionalProb(int index, float prob)` Creates a new instance of GenusWordConditionalProb For a word indexed in wordConditionalProbIndexArr, it holds the index of the genus node, and the conditional probability that genus node contains the word.

Method Summary
`(package private) int` `getGenusIndex()` Returns the index of the genus node
`(package private) float` `getProbability()` Returns the conditional probability that the genus node contains the word.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### genusIndex

    private int genusIndex

### wordConditionalProb

    private float wordConditionalProb

Constructor Detail

### GenusWordConditionalProb

    GenusWordConditionalProb(int index,
                             float prob)

  Creates a new instance of GenusWordConditionalProb For a word indexed in wordConditionalProbIndexArr, it holds the index of the genus node, and the conditional probability that genus node contains the word.

Method Detail

### getGenusIndex

    int getGenusIndex()

  Returns the index of the genus node

### getProbability

    float getProbability()

  Returns the conditional probability that the genus node contains the word.